FT_EEPROM_4232H

com.ftdi.j2xx

## Class FT_EEPROM_4232H

- java.lang.Object
- - com.ftdi.j2xx.FT_EEPROM
  - - com.ftdi.j2xx.FT_EEPROM_4232H

-     public class FT_EEPROM_4232H
      extends FT_EEPROM

  EEPROM data structure on the 4232H

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FT_EEPROM_4232H.DRIVE_STRENGTH` The driver strength on the FT4232H

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `AH_DriveCurrent` Drive Option - AH pins drive current.
    `boolean` | `AH_LoadD2XX` Driver Option - Interface AH Load D2XX
    `boolean` | `AH_LoadRI_RS485` Driver Option - Interface AH Load RI_RS485
    `boolean` | `AH_LoadVCP` Driver Option - Interface AH Load Vitrual Com Port
    `boolean` | `AH_RI_TXDEN` Hardware Option - Interface AH uses RI as RS485 TXDEN
    `boolean` | `AH_SchmittInput` Drive Option - AH pins have Schmitt input.
    `boolean` | `AH_SlowSlew` Drive Option - AH pins have slow slew.
    `byte` | `AL_DriveCurrent` Drive Option - AL pins drive current.
    `boolean` | `AL_LoadD2XX` Driver Option - Interface AL Load D2XX
    `boolean` | `AL_LoadRI_RS485` Driver Option - Interface AL Load RI_RS485
    `boolean` | `AL_LoadVCP` Driver Option - Interface AL Load Vitrual Com Port
    `boolean` | `AL_RI_TXDEN` Hardware Option - Interface AL uses RI as RS485 TXDEN
    `boolean` | `AL_SchmittInput` Drive Option - AL pins have Schmitt input.
    `boolean` | `AL_SlowSlew` Drive Option - AL pins have slow slew.
    `byte` | `BH_DriveCurrent` Drive Option - BH pins drive current.
    `boolean` | `BH_LoadD2XX` Driver Option - Interface BH Load D2XX
    `boolean` | `BH_LoadRI_RS485` Driver Option - Interface BH Load RI_RS485
    `boolean` | `BH_LoadVCP` Driver Option - Interface BH Load Vitrual Com Port
    `boolean` | `BH_RI_TXDEN` Hardware Option - Interface BH uses RI as RS485 TXDEN
    `boolean` | `BH_SchmittInput` Drive Option - BH pins have Schmitt input.
    `boolean` | `BH_SlowSlew` Drive Option - BH pins have slow slew.
    `byte` | `BL_DriveCurrent` Drive Option - BL pins Drive Current.
    `boolean` | `BL_LoadD2XX` Driver Option - Interface BL Load D2XX
    `boolean` | `BL_LoadRI_RS485` Driver Option - Interface BL Load RI_RS485
    `boolean` | `BL_LoadVCP` Driver Option - Interface BL Load Vitrual Com Port
    `boolean` | `BL_RI_TXDEN` Hardware Option - Interface BL uses RI as RS485 TXDEN
    `boolean` | `BL_SchmittInput` Drive Option - BL pins have Schmitt input.
    `boolean` | `BL_SlowSlew` Drive Option - BL pins have slow slew.
    `int` | `TPRDRV` Driver Option - Rise and fall times of the USB signal lines

    - ### Fields inherited from class com.ftdi.j2xx.FT_EEPROM

      `DeviceType, Manufacturer, MaxPower, Product, ProductId, PullDownEnable, RemoteWakeup, SelfPowered, SerialNumber, SerNumEnable, VendorId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FT_EEPROM_4232H()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AL_SlowSlew

          public boolean AL_SlowSlew

      Drive Option - AL pins have slow slew.

    - #### AL_SchmittInput

          public boolean AL_SchmittInput

      Drive Option - AL pins have Schmitt input.

    - #### AL_DriveCurrent

          public byte AL_DriveCurrent

      Drive Option - AL pins drive current.

    - #### AH_SlowSlew

          public boolean AH_SlowSlew

      Drive Option - AH pins have slow slew.

    - #### AH_SchmittInput

          public boolean AH_SchmittInput

      Drive Option - AH pins have Schmitt input.

    - #### AH_DriveCurrent

          public byte AH_DriveCurrent

      Drive Option - AH pins drive current.

    - #### BL_SlowSlew

          public boolean BL_SlowSlew

      Drive Option - BL pins have slow slew.

    - #### BL_SchmittInput

          public boolean BL_SchmittInput

      Drive Option - BL pins have Schmitt input.

    - #### BL_DriveCurrent

          public byte BL_DriveCurrent

      Drive Option - BL pins Drive Current.

    - #### BH_SlowSlew

          public boolean BH_SlowSlew

      Drive Option - BH pins have slow slew.

    - #### BH_SchmittInput

          public boolean BH_SchmittInput

      Drive Option - BH pins have Schmitt input.

    - #### BH_DriveCurrent

          public byte BH_DriveCurrent

      Drive Option - BH pins drive current.

    - #### AL_RI_TXDEN

          public boolean AL_RI_TXDEN

      Hardware Option - Interface AL uses RI as RS485 TXDEN

    - #### AH_RI_TXDEN

          public boolean AH_RI_TXDEN

      Hardware Option - Interface AH uses RI as RS485 TXDEN

    - #### BL_RI_TXDEN

          public boolean BL_RI_TXDEN

      Hardware Option - Interface BL uses RI as RS485 TXDEN

    - #### BH_RI_TXDEN

          public boolean BH_RI_TXDEN

      Hardware Option - Interface BH uses RI as RS485 TXDEN

    - #### AL_LoadVCP

          public boolean AL_LoadVCP

      Driver Option - Interface AL Load Vitrual Com Port

    - #### AL_LoadD2XX

          public boolean AL_LoadD2XX

      Driver Option - Interface AL Load D2XX

    - #### AL_LoadRI_RS485

          public boolean AL_LoadRI_RS485

      Driver Option - Interface AL Load RI_RS485

    - #### AH_LoadVCP

          public boolean AH_LoadVCP

      Driver Option - Interface AH Load Vitrual Com Port

    - #### AH_LoadD2XX

          public boolean AH_LoadD2XX

      Driver Option - Interface AH Load D2XX

    - #### AH_LoadRI_RS485

          public boolean AH_LoadRI_RS485

      Driver Option - Interface AH Load RI_RS485

    - #### BL_LoadVCP

          public boolean BL_LoadVCP

      Driver Option - Interface BL Load Vitrual Com Port

    - #### BL_LoadD2XX

          public boolean BL_LoadD2XX

      Driver Option - Interface BL Load D2XX

    - #### BL_LoadRI_RS485

          public boolean BL_LoadRI_RS485

      Driver Option - Interface BL Load RI_RS485

    - #### BH_LoadVCP

          public boolean BH_LoadVCP

      Driver Option - Interface BH Load Vitrual Com Port

    - #### BH_LoadD2XX

          public boolean BH_LoadD2XX

      Driver Option - Interface BH Load D2XX

    - #### BH_LoadRI_RS485

          public boolean BH_LoadRI_RS485

      Driver Option - Interface BH Load RI_RS485

    - #### TPRDRV

          public int TPRDRV

      Driver Option - Rise and fall times of the USB signal lines

  - ### Constructor Detail

    - #### FT_EEPROM_4232H

          public FT_EEPROM_4232H()

About FTDI | FTDI Licence Terms